Get module details
Returns the details of a module in a Mindtickle series.
Prerequisites
- Authentication and setup: A valid access token.
- List all modules in a series: Get the Mindtickle IDs of the series and the module.
Endpoint
Section titled “Endpoint”GET /api/v2/jit/series/SERIES_ID/entity/MODULE_IDReplace SERIES_ID and MODULE_ID with the Mindtickle IDs of the series and the module.
Base URL: the standard REST host for your region. See Base URLs.
Headers: Authorization: Bearer ACCESS_TOKEN.
Path parameters
Section titled “Path parameters”| Parameter | Type | Required | Description |
|---|---|---|---|
SERIES_ID |
string | Required | Mindtickle ID of the series. |
MODULE_ID |
string | Required | Mindtickle ID of the module. |
Request
Section titled “Request”This endpoint does not have any JSON request parameters.
Response
Section titled “Response”The fields below describe a module object. Confirm with Mindtickle Support whether this endpoint returns it directly or within a hits wrapper before implementing response parsing.
| Field | Type | Description |
|---|---|---|
moduleType |
string | Type of object. This is the module type name. |
description |
string | Description, if available, of the module added on the Mindtickle platform. |
name |
string | Name of the module. |
thumbnailUrl |
string | URL of the module thumbnail image hosted on the Mindtickle platform. |
id |
string | Mindtickle ID of the module. |
url |
string | Just In Time (JIT) URL of the module on the Mindtickle platform. |
Response example
Section titled “Response example”{ "moduleType": "UPDATE", "description": "<p>Welcome to the walkthrough on Ideal Rep Profiles (IRPs)! In this short quick update, we'll take you through the simple steps to create an IRP in Mindtickle Analytics.</p>", "name": "Walkthrough | Ideal Rep Profiles", "thumbnailUrl": "https://cdn.example.com/thumbnails/ideal-rep-profiles.jpg", "id": "1234567890123456101", "url": "https://learning.example.com/loginredirect/saml?seriesId=SERIES_ID&moduleId=MODULE_ID"}